# $Revision: 1.9.2.1 $, $Date: 2003/03/13 00:56:43 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Blowfish
Summary:	Crypt::Blowfish Perl module
Summary(cs):	Modul Crypt::Blowfish pro Perl
Summary(da):	Perlmodul Crypt::Blowfish
Summary(de):	Crypt::Blowfish Perl Modul
Summary(es):	Mdulo de Perl Crypt::Blowfish
Summary(fr):	Module Perl Crypt::Blowfish
Summary(it):	Modulo di Perl Crypt::Blowfish
Summary(ja):	Crypt::Blowfish Perl ⥸塼
Summary(ko):	Crypt::Blowfish  
Summary(no):	Perlmodul Crypt::Blowfish
Summary(pl):	Modu Perla Crypt::Blowfish
Summary(pt):	Mdulo de Perl Crypt::Blowfish
Summary(pt_BR):	Mdulo Perl Crypt::Blowfish
Summary(ru):	  Perl Crypt::Blowfish
Summary(sv):	Crypt::Blowfish Perlmodul
Summary(uk):	  Perl Crypt::Blowfish
Summary(zh_CN):	Crypt::Blowfish Perl ģ
Name:		perl-Crypt-Blowfish
Version:	2.09
Release:	4
License:	BSD-like (see COPYRIGHT)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::Blowfish perl module - an implementation of the Blowfish
cryptography algorithm.

%description -l pl
Modu perla Crypt::Blowfish - implementacja algorytmu
kryptograficznego Blowfish.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes COPYRIGHT README
%{perl_sitearch}/Crypt/Blowfish.pm
%dir %{perl_sitearch}/auto/Crypt/Blowfish
%{perl_sitearch}/auto/Crypt/Blowfish/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Crypt/Blowfish/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-Blowfish.spec,v $
Revision 1.9.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.9  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:28:38  ankry
- massive attack: change CPAN URLs

Revision 1.7  2002/07/28 16:48:37  kloczek
- reelase 3.

Revision 1.6  2002/07/22 21:32:25  ankry
- translations

Revision 1.5  2002/07/21 12:23:27  qboosh
- important fixes: it can't be noarch, essential files were missing,
  license isn't even GPL-compatible!
- new %%doc, cosmetics
- release 2

Revision 1.4  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/04/02 18:16:50  kloczek
- cosmetics.

Revision 1.1  2002/03/28 22:59:17  djrzulf
- initial PLD release,
